import { EventEmitter } from '../../../stencil-public-runtime';
export declare class PnMarketwebSearch {
    disabled: boolean;
    placeholder: string;
    inputid: string;
    name: string;
    autocomplete: string;
    list: string;
    value: string;
    /** Label for the button */
    label: string;
    /** Loading animation */
    loading: boolean;
    /** Button type, options are 'none' for no button, 'icon' for a labelless button with just a search icon and 'icon-inline' for a search button inside of the search field (this last option disables the clear field button) */
    button: string;
    /** Light instead of dark search button */
    light: boolean;
    hostElement: HTMLElement;
    /** This is emitted on search submission both with keyboard and mouse */
    search: EventEmitter;
    /** custom event that handles both clearing and input to have the option of just binding listeners to one event instead of two. */
    update: EventEmitter;
    inputHandler(): void;
    emitSearch(e: any): void;
    setVal(e: any): void;
    clearInput(e: any): void;
    getClassNames(): string;
    suggestionObserver: MutationObserver;
    hasClonedInput: boolean;
    listSuggestion: string[];
    componentWillRender(): void;
    onSuggestionUpdate(): void;
    autocompleteEventBinding(): void;
    cloneListContent(): void;
    render(): any;
}
